%define module_name	intel-537
%define module_version	2.27.39.0
%define module_release	alt7.1

%define kversion        2.4.29
%define krelease        alt1
%define flavour         ll-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	kernel modules for Intel 537 series soft modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1:		kernel-modules-intel-537-major-minor-change.patch
Patch2:		intel-537-2.27.39.0-export.patch

ExclusiveOS:	Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

%description
kernel modules for Intel 537 series soft modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%patch1 -p1
%patch2 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
PSTN_DEF="-DTARGET_CATAWBA -DTARGET_LINUX -DLINUX -Dsoftcore_init_struct=softcore_init_struct_intel_537"
kincdir="%_includedir/linux-%kversion-%flavour/include"
INCLUDES="-I$kincdir -I../inc -DMODVERSIONS -include $kincdir/linux/modversions.h"

make CC=gcc -C coredrv   TARGET=TARGET_CATAWBA PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" 537core
make CC=gcc -C serialdrv TARGET=TARGET_CATAWBA PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" 537

%install
mkdir -p %buildroot/%module_dir
%__install -p -m644 coredrv/537_core.o serialdrv/537.o \
	%buildroot/%module_dir/

mkdir -p %buildroot/%_docdir/%name-%version-%release
%__install -p -m644 license.txt readme.txt \
	%buildroot/%_docdir/%name-%version-%release/
	
%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt7.1
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt6.1
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt5.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt4.1
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt3.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2.27.39.0-alt2.1
- Added EXPORT_NO_SYMBOLS to the softserial part.
- Changed softcore_init_struct function name to avoid clashes with other Intel
  modem drivers.

* Tue Dec 09 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.27.39.0-alt1.1
- Initial build

